Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class ComparisonResultTreeSet.ComparisonResultComparator

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.ComparisonResultTreeSet.ComparisonResultComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  ComparisonResultTreeSet

    public static class ComparisonResultTreeSet.ComparisonResultComparator

extends java.lang.Object
implements java.util.Comparator

Constructor Summary
`ComparisonResultTreeSet.ComparisonResultComparator()`

Method Summary
`int` | `compare(java.lang.Object x, java.lang.Object y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ComparisonResultTreeSet.ComparisonResultComparator

    public ComparisonResultTreeSet.ComparisonResultComparator()

Method Detail

### compare

    public int compare(java.lang.Object x,
                       java.lang.Object y)

  Specified by:
    `compare` in interface `java.util.Comparator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD